MIX_Mixer(3type)

NAME
MIX_Mixer - An opaque object that represents a mixer.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

typedef struct MIX_Mixer MIX_Mixer;

DESCRIPTION
The MIX_Mixer is the toplevel object for this library. To use SDL_mixer, you must have at least one, but are allowed to have several. Each mixer is responsible for generating a single output stream of mixed audio, usually to an audio device for realtime playback.

Mixers are either created to feed an audio device (through MIX_CreateMixerDevice()), or to generate audio to a buffer in memory, where it can be used for anything (through MIX_CreateMixer()).

AVAILABILITY
This datatype is available since SDL_mixer 3.0.0.